def find_path(a, b):
    path = []
    left_numerator, left_denominator = 0, 1
    right_numerator, right_denominator = 1, 0

    while True:
        middle_numerator = left_numerator + right_numerator
        middle_denominator = left_denominator + right_denominator

        if (middle_numerator * b < middle_denominator * a):
            path.append('R')
            left_numerator, left_denominator = middle_numerator, middle_denominator
        elif (middle_numerator * b > middle_denominator * a):
            path.append('L')
            right_numerator, right_denominator = middle_numerator, middle_denominator
        else:
            break

    return ''.join(path)

a, b = map(int, input().split())
path = find_path(a,b)
print('R' + path)