def can_form_correct_dice(numbers):
    total_sum = sum(numbers)
    
    if total_sum % 3 != 0:
        return "no"
    
    target_sum = total_sum // 3
    
    from itertools import combinations
    
    pairs = list(combinations(numbers, 2))
    
    for i in range(len(pairs)):
        for j in range(i + 1, len(pairs)):
            for k in range(j + 1, len(pairs)):
                if len(set(pairs[i]) | set(pairs[j]) | set(pairs[k])) == 6:
                    if sum(pairs[i]) == target_sum and sum(pairs[j]) == target_sum and sum(pairs[k]) == target_sum:
                        return "yes"
    
    return "no"
n = int(input())
results = []
for _ in range(n):
    numbers = list(map(int, input().split()))
    result = can_form_correct_dice(numbers)
    results.append(result)

for res in results:
    print(res)
